# must be unique in a given SonarQube instance
sonar.organization=openkonsequenz
#sonar.projectKey=openkonsequenz_gridfailureinformation_fe
sonar.projectKey=openkonsequenz_gridfailureinformation.frontend
# this is the name and version displayed in the SonarQube UI. Was mandatory prior to SonarQube 6.1.
#sonar.projectName=gridfailureinformation-frontend
sonar.projectName=gridfailureinformation.frontend
sonar.projectVersion=0.0.1_Snapshot

# Language
sonar.language=ts

sonar.sourceEncoding=UTF-8
sonar.sources=projects/grid-failure-information-app/src, projects/openk/grid-failure-information-map/src, projects/grid-failure-information-map-app/src,  projects/grid-failure-information-table-app/src
sonar.exclusions=**/node_modules/**,**/environments/**,e2e/*.ts,**/*.spec.ts,**/test-data/*.ts,**/testing/*.ts,**/assets/**/*,**/*.model.*,**/*.constants.*,**/*.action.*,**/*.module.*,**/*column-definition*,**/*animation*,**/*api-client.*,**/styles.scss,**/main.ts
sonar.tests=projects/grid-failure-information-app/src, projects/openk/grid-failure-information-map/src, projects/grid-failure-information-map-app/src,  projects/grid-failure-information-table-app/src
sonar.test.inclusions=**/*.spec.ts
sonar.test.exclusions=
sonar.ts.tslintconfigpath=tslint.json
sonar.typescript.lcov.reportPaths=coverage/grid-failure-information-app/lcov.info, coverage/openk/grid-failure-information-map/lcov.info, coverage/grid-failure-information-map-app/lcov.info, coverage/grid-failure-information-table-app/lcov.info
